#!/bin/bash

cd "${SOURCE_ROOT}"

mkdir -p "${SOURCE_ROOT}/../Build/Dist/${VERSION}" 2>/dev/null
ARCHIVE="../Build/Dist/${VERSION}/${PROJECT}-${VERSION}.tar.gz"

FILES="\
AUTHORS
COPYING
INSTALL
MolchEncfsManager.pro
README
translations.sh
VERSION
3rdparty/include
3rdparty/qtkeychain

3rdparty/mtools/mtools.pri
3rdparty/mtools/src/src.pri
3rdparty/mtools/src/mtools/mtools.pri
3rdparty/mtools/include/MTools/MUnixApplicationIcon
3rdparty/mtools/include/MTools/MUnixAutostart
3rdparty/mtools/include/MTools/MUnixDesktopEnvironment
3rdparty/mtools/include/MTools/MUnixMountSurveiler
3rdparty/mtools/src/mtools/munixapplicationicon
3rdparty/mtools/src/mtools/munixautostart
3rdparty/mtools/src/mtools/munixdesktopenvironment
3rdparty/mtools/src/mtools/munixmountsurveiler

3rdparty/mwidgets/mwidgets.pri
3rdparty/mwidgets/src/src.pri
3rdparty/mwidgets/src/mwidgets/mwidgets.pri
3rdparty/mwidgets/include/MWidgets/MAboutDialog
3rdparty/mwidgets/include/MWidgets/MHelpBrowser
3rdparty/mwidgets/include/MWidgets/MLayoutPushButton
3rdparty/mwidgets/include/MWidgets/MSpinner
3rdparty/mwidgets/include/MWidgets/MSpinnerPushButton
3rdparty/mwidgets/src/mwidgets/maboutdialog
3rdparty/mwidgets/src/mwidgets/mhelpbrowser
3rdparty/mwidgets/src/mwidgets/mlayoutpushbutton
3rdparty/mwidgets/src/mwidgets/mspinner
3rdparty/mwidgets/src/mwidgets/mspinnerpushbutton

Core
Dist
MolchEncfsManager
translations
"

tar -czf "${ARCHIVE}" --transform="s|^|${PROJECT}-${VERSION}/|" ${FILES}

