#ifndef PREFERENCESPAGE_H
#define PREFERENCESPAGE_H

#include <QWizardPage>

namespace Ui {
class PreferencesPage;
}

class PreferencesPage : public QWizardPage
{
    Q_OBJECT

public:
    explicit PreferencesPage(QWidget *parent = nullptr);
    ~PreferencesPage();

public slots:
    virtual void setVisible(bool visible) override;
    QSize sizeHint() const override;
    QSize minimumSizeHint() const override;

private slots:
    void on_label_help_linkActivated(const QString &link);

private:
    Ui::PreferencesPage *ui;
    bool m_initialized;
    QSize m_size;
};

#endif // PREFERENCESPAGE_H
